Submit a document for processing (requires at least one uploaded file)
cURL
curl --request POST \ --url https://api.beltic.com/v1/identity/documents/addresses/{id}/submit \ --header 'X-Api-Key: <api-key>'
{ "data": { "id": "123e4567-e89b-12d3-a456-426614174000", "type": "document/address", "attributes": { "status": "pending", "classification_type": "<string>", "is_valid": true, "reasoning": "<string>", "name": { "first": "<string>", "middle": "<string>", "last": "<string>" }, "document_number": "<string>", "issue_date": "<string>", "expiry_date": "<string>", "issuing_authority": "<string>", "address": { "line1": "<string>", "line2": "<string>", "city": "<string>", "subdivision": "<string>", "postal_code": "<string>", "country_code": "<string>" }, "nationality": "<string>", "files": [ { "id": "<string>", "filename": "<string>", "content_type": "<string>", "status": "pending_upload", "url": "https://s3.amazonaws.com/...?X-Amz-Signature=...", "byte_size": 123, "checksum": "<string>" } ], "created_at": "<string>", "submitted_at": "<string>", "processed_at": "<string>" }, "relationships": { "account": { "data": { "type": "<string>", "id": "<string>" } }, "session": { "data": { "type": "<string>", "id": "<string>" } }, "verification": { "data": { "type": "<string>", "id": "<string>" } } } }, "meta": { "presigned_upload_urls": [ { "file_id": "123e4567-e89b-12d3-a456-426614174000", "url": "https://s3.amazonaws.com/beltic-documents/...", "expires_in": 3600 } ] } }
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
The unique identifier of the document
"123e4567-e89b-12d3-a456-426614174000"
Document submitted successfully
Show child attributes
Was this page helpful?